/// <reference types="hoist-non-react-statics" />
import React from 'react';
import { ThemeProps } from '../../theme';
import { LocaleProps } from '../../locale';
export interface ConditionFieldProps extends ThemeProps, LocaleProps {
    options: Array<any>;
    value: any;
    onChange: (value: any) => void;
    disabled?: boolean;
    fieldClassName?: string;
}
export declare function ConditionField({ options, onChange, value, classnames: cx, fieldClassName, disabled, translate: __ }: ConditionFieldProps): JSX.Element;
declare const _default: {
    new (props: (Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps) | Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps, context: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, "value" | "options" | "disabled" | "locale" | "translate" | "onChange" | "fieldClassName"> & import("../../theme").ThemeOutterProps>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: {
        new (props: (Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }) | Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof ConditionField;
    } & import("hoist-non-react-statics").NonReactStatics<typeof ConditionField, {}> & {
        ComposedComponent: typeof ConditionField;
    };
} & import("hoist-non-react-statics").NonReactStatics<{
    new (props: (Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }) | Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }>): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
        locale?: string | undefined;
        translate?: ((str: string, ...args: any[]) => string) | undefined;
    }, context: any): {
        render(): JSX.Element;
        context: any;
        setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType: React.Context<string>;
    ComposedComponent: typeof ConditionField;
} & import("hoist-non-react-statics").NonReactStatics<typeof ConditionField, {}> & {
    ComposedComponent: typeof ConditionField;
}, {}> & {
    ComposedComponent: {
        new (props: (Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }) | Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }>): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        new (props: Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
            locale?: string | undefined;
            translate?: ((str: string, ...args: any[]) => string) | undefined;
        }, context: any): {
            render(): JSX.Element;
            context: any;
            setState<K_1 extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>) => {} | Pick<{}, K_1> | null) | Pick<{}, K_1> | null, callback?: (() => void) | undefined): void;
            forceUpdate(callback?: (() => void) | undefined): void;
            readonly props: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{}>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            componentDidMount?(): void;
            shouldComponentUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): boolean;
            componentWillUnmount?(): void;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>): any;
            componentDidUpdate?(prevProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, prevState: Readonly<{}>, snapshot?: any): void;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<ConditionFieldProps, "classPrefix" | "className" | "classnames" | "theme" | "value" | "options" | "disabled" | "onChange" | "fieldClassName"> & {
                locale?: string | undefined;
                translate?: ((str: string, ...args: any[]) => string) | undefined;
            }>, nextState: Readonly<{}>, nextContext: any): void;
        };
        displayName: string;
        contextType: React.Context<string>;
        ComposedComponent: typeof ConditionField;
    } & import("hoist-non-react-statics").NonReactStatics<typeof ConditionField, {}> & {
        ComposedComponent: typeof ConditionField;
    };
};
export default _default;
